OUTPUT_ARCH(A4)
ENTRY(_start)

MEMORY
{
        DRAM : ORIGIN = 0x8000, LENGTH = 0x800000
}

SECTIONS
{
        .bss : {
                *(.bss)
        } > DRAM

        .data : {
                *(.data)
        } > DRAM

        .text : {
                *(.text)
                *(.rodata*)
                *(.reginfo)
        } > DRAM 
}

