.text
        .align 4

.global _start

.org 0

_start:
	nop

	; disable i-cache
	lr  r0,[0x11]
	or  r0,r0,1
	sr  r0,[0x11]

	; disable d-cache
	sr  1, [0x47]

	lr  r0,[0x48]
	or  r0,r0,1
	sr  r0,[0x48]

	mov r0,0x00AA00AA
	st.di r0,[0x0555<<2]
	mov r0,0x00550055
	st.di r0,[0x02AA<<2]
	mov r0,0x00900090
	st.di r0,[0x0555<<2]

        mov     r2,0x10000
busywait:
	sub.f   r2,r2,1
	bnz     busywait

	ld  r0,[0]
	ld  r1,[4]
	mov r2,0xc21345

hang:
        b       hang

	; dump some stuff
        mov     r2,0x100
	mov     r3,0x800000
	mov     r1,0xa00040
loop:
	ld   	r0,[r3]
	st.di	r0,[r1]

	add.f	r1, r1, 4
	add.f   r3, r3, 4
	sub.f 	r2, r2, 1
	bnz	loop

	nop

	nop
